cmdargs

Safe Haskell | Safe-Infered

System.Console.CmdArgs.Explicit.Process

Synopsis

- process :: Mode a -> [String] -> Either String a

# Documentation

process :: Mode a -> [String] -> Either String a

Process a list of flags (usually obtained from `getArgs`/`expandArgsAt`) with a mode. Returns `Left` and an error message if the command line fails to parse, or `Right` and the associated value.